/* ================================================== */
/* CSS for control sap.ui.commons/InPlaceEdit.control */
/* HCB                                               */
/* ================================================== */

.sapUiIpe{
	height: 18px;
	margin: 1px; /* otherwise focus outline is cut in MatrixLayout */
	font-size: @sapUiDesktopFontSize;
}

.sapUiIpeFocus,
.sapUiIpeFocus:hover{
	outline:1px solid @sapUiMediumBorder;
	border-color: @sapUiMediumBorder;
}

.sapUiIpeUndo{
	background-color: @sapUiFieldBackground;
	border-color: @sapUiMediumBorder;
	border-style: dotted;
	padding-right: 18px;
}

.sapUiIpeLink:hover > .sapUiIpeCont,
.sapUiIpeFocus.sapUiIpeLink > .sapUiIpeCont{
	padding-right: 18px;
}

/* warning state */
.sapUiIpeWarn,
.sapUiIpeUndo.sapUiIpeWarn{
	color: @sapUiTextInverted;
}

/* Revert/Edit Button */
.sapUiIpe > .sapUiBtnS.sapUiBtnLite,
.sapUiIpeCont > .sapUiBtnS.sapUiBtnLite{
	width: 18px;
	border-radius: 0;
	text-decoration: none;
	padding-left: 4px;
	padding-right: 6px;
}

html[data-sap-ui-browser^="cr"] .sapUiIpe > .sapUiBtnS.sapUiBtnLite > span,
html[data-sap-ui-browser^="cr"] .sapUiIpeCont > .sapUiBtnS.sapUiBtnLite > span,
html[data-sap-ui-browser^="ie"] .sapUiIpe > .sapUiBtnS.sapUiBtnLite > span,
html[data-sap-ui-browser^="ie"] .sapUiIpeCont > .sapUiBtnS.sapUiBtnLite > span{
	margin-top: -2px;
}

.sapUiIpeEdit > .sapUiBtnS.sapUiBtnLite{
	border-color: @sapUiMediumBorder;
}

.sapUiIpeErr.sapUiIpeEdit > .sapUiBtnS.sapUiBtnLite{
	background-color: @sapHCHighlightBG;
}

.sapUiIpeWarn.sapUiIpeEdit > .sapUiBtnS.sapUiBtnLite{
	background-color: @sapUiFieldBackground;
}
